package org.codiki.core.services;

/**
 * Exception thrown when a user attempts to access to a resource that is not his own or he hasn't access rights.
 */
public class IllegalAccessException extends RuntimeException {
    public IllegalAccessException() {
    }

    public IllegalAccessException(String message) {
        super(message);
    }

    public IllegalAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    public IllegalAccessException(Throwable cause) {
        super(cause);
    }
}
